import config from "../../config";
// import rimraf from "rimraf";
import path from "path";
import fs from "fs";
// import { copyFiles, readJson, mkdirs, runCommands } from "node-pearls";
import { mkdirs, runCommands } from "node-pearls";
import console from "cli-console";
import tarzip from "../../utils/tar&zip";

export default async function(options){
    // 要打包的平台
    console.log("进入rn-business");
    const platforms = options.platforms.split(",");
    const businessName = options.businessName;
    const iosZipname = options.iosZipname;
    const androidZipname = options.androidZipname;
    const pushBranch = options.pushBranch;
    const version = options.version;
    const buildId = options.buildId;
    const currentDir = process.cwd();

    // 提交到git
    mkdirs.sync(config["tmp-dir"]);
    await Promise.all(platforms.map(platform => (async () => {
        if(platform === "ios"){
            let gitname = `elongreactnativepackages@${pushBranch}`;
            let gitdir = path.join(config["tmp-dir"], gitname);

            console.title("拉取项目");
            if(!fs.existsSync(gitdir)){
                await runCommands(`
                    git clone git@git.17usoft.com:ios/elongreactnativepackages.git ${gitdir} -b ${pushBranch} --depth 1
                `);
            }else{
                await runCommands(`
                    git pull
                `, {
                    cwd: gitdir
                });
            }

            console.title("生成zip包");
            let COMBO_PATH = path.join(currentDir, "rn", "ios", "bundle", "combo");
            let dirs = fs.readdirSync(COMBO_PATH)
                            .map(file => path.join(COMBO_PATH, file))
                            .filter(file => fs.statSync(file).isDirectory());

            let md5 = await tarzip(
                path.join(COMBO_PATH, `business.js`),
                dirs,
                gitdir,
                iosZipname
            );

            console.title("提交git");
            await runCommands(`
                git add .
                git commit -m ${options.increment ? "1": "0"}:${businessName}@${version}:${md5}:${buildId}
                git push
            `, {
                cwd: gitdir
            });
        }else if(platform === "android"){
            let gitname = `as_elongrnplugin_44_jsbundle@${pushBranch}`;
            let gitdir = path.join(config["tmp-dir"], gitname);

            console.title("拉取项目");
            if(!fs.existsSync(gitdir)){
                await runCommands(`
                    git clone git@git.17usoft.com:elongtravel_android/as_elongrnplugin_44_jsbundle.git ${gitdir} -b ${pushBranch} --depth 1
                `);
            }else{
                await runCommands(`
                    git pull
                `, {
                    cwd: gitdir
                });
            }

            console.title("生成zip包");
            let COMBO_PATH = path.join(currentDir, "rn", "android", "bundle", "combo");
            let assetsdir = path.join(COMBO_PATH, "assets");
            let dirs = fs.readdirSync(COMBO_PATH)
                            .map(file => path.join(COMBO_PATH, file))
                            .filter(file => fs.statSync(file).isDirectory() && file !== assetsdir);

            let md5 = await tarzip(
                path.join(COMBO_PATH, `business.js`),
                dirs,
                gitdir,
                androidZipname
            );

            console.title("提交git");
            await runCommands(`
                git add .
                git commit -m ${options.increment ? "1": "0"}:${businessName}@${version}:${md5}:${buildId}
                git push
            `, {
                cwd: gitdir
            });
        }else{

        }
    })()));
}