import config from "../../config";
import path from "path";
import fs from "fs";
import { mkdirs, runCommands } from "node-pearls";
import console from "cli-console";
import tarzip from "../../utils/tar&zip";
import aos from "../../utils/aos";

export default async function(options){
    // 要打包的平台
    console.log("进入web-business");

    const platforms = options.platforms.split(",");
    const businessName = options.businessName;
    const version = options.version;
    const currentDir = process.cwd();
    const aosPath = options.businessName+"_"+ options.aosVersion.replace(/\./g,"-")+"_TEST/";
    const ftpStaticPath = "ftp://acp:acp_scmpf123!@#@scmpf.corp.elong.com/"

    if(!options.combo){
        //拆包接口请求，改名字
    }

    //打包
    if(options.combo){
        var path = options.path ?  options.path : "web/elongfe/enjoy/combo/";
        try{
            var result = await aos({
                platform: platforms,
                version: options.version,
                combo: true
            })

            if(result){
                await runCommands(`
                    wput ./ ${ftpStaticPath}${path}${businessName}/${aosPath}
                `, {
                    cwd: process.cwd()+"/aos"
                });
            }
        }catch(ex){
            console.log(ex)
        }   
    }else{
        var path = options.path ?  options.path : "web/elongfe/enjoy/mods/";
        try{
            var result = await aos({
                platform: platforms,
                version: options.version,
                combo: false
            })

            if(result){
                await runCommands(`
                    wput ./ ${ftpStaticPath}${path}${businessName}/${aosPath}
                `, {
                    cwd: process.cwd()+"/aos"
                });
            }
        }catch(ex){
            console.log(ex)
        }   
    }
}