import fs from "fs";
import path from "path";
import utils from "node-pearls";
import glob from "glob";

export default function(options){
    const root = process.cwd();

    glob("*.@(js|json)", {
        cwd: path.join(__dirname, "tpls")
    }, async function(err, files){
        await utils.copyFiles(files.map(file => ({
            src: path.join(__dirname, "tpls", file),
            dist: path.join(root, file)
        })));

        await utils.runCommands(`
            npm i
            npm i --save enjoy-loader${options.version ? "@" + options.version : ""}
            rm -rf ./bundle
            node build.js
        `);

        const bundleDir = path.join(root, "bundle");
        glob("*/deps.json", {
            cwd: bundleDir
        }, async function(err, files){
            var file = files.find(file => /^enjoy\-loader@/.test(file));
            await utils.copyFiles([{
                src: path.join(bundleDir, file),
                dist: path.join(bundleDir, "deps.json")
            }]);
        });
    });
}