import fs from "fs";
import path from "path";
import glob from "glob";
import utils from "node-pearls";

export default function(options){
    const root = process.cwd();
    const bundleDir = path.join(root, "web", options.platform, "bundle");
    
    console.log("生成依赖关系表");

    glob("*/deps.json", {
        cwd: bundleDir
    }, function(err, jsons){
        if(err){
            throw err;
        }

        var files = [];

        jsons.forEach(function(file){
            var json = utils.readJson.sync(path.join(bundleDir, file));
            files = files.concat(json.files);
        });

        fs.writeFileSync(path.join(bundleDir, "deps.json"), JSON.stringify({
            files: files
        }));

        console.log("拷贝资源文件");

        var assetsDir = path.join(bundleDir, "assets");
        utils.mkdirs.sync(assetsDir);
        // 拷贝资源
        glob("*/*.@(gif|jpg|png|woff|svg|eot|ttf)", {
            cwd: bundleDir
        }, function(err, assets){
            utils.copyFiles(assets.map(function(asset){
                return {
                    src: path.join(bundleDir, asset),
                    dist: path.join(assetsDir, asset.split("/").pop())
                };
            })).then(function(){
                console.log("打包完成");
            });
        });
    });
}