#!/usr/bin/env node
"use strict";

require("babel-polyfill");

var _commander = require("commander");

var _commander2 = _interopRequireDefault(_commander);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import packageJson from "./package.json";

function command(commandName) {
	var command = require(_path2.default.join(__dirname, "commanders", commandName + ".js")).default;
	return function (options) {
		command(options);
	};
}

_commander2.default.command("publish-business").option("--platforms <platforms>", "要打包的平台").option("--business-name <business-name>", "要打包的业务名").option("--ios-zipname [ios-zipname]", "ios打包名").option("--android-zipname [android-zipname]", "android打包名").option("--version <version>", "业务版本").option("--increment", "是否是增量包").option("--release", "是否打release包").option("--push-branch [push-branch]", "提交到的git仓库分支").option("--build-id [build-id]", "打包id，用来标记每次打包").option("--combo", "是否打combo包").option("--aosVersion <aosVersion>", "aos打包版本").option("--path <path>", "业务自定义节点对应的ftp path").option("--publishVersion <publishVersion>", "发布版本").description("发布业务代码包").action(command("publish-business/index"));

_commander2.default.command("bundle-framework").option("--platforms <platforms>", "要打包的平台").option("--version <version>", "要打包的框架版本").description("打包框架").action(command("bundle-framework"));

_commander2.default.command("publish-framework").option("--platforms <platforms>", "要打包的平台").option("--zipname <zipname>", "打包名").option("--ios-zipname <ios-zipname>", "ios打包名").option("--android-zipname <android-zipname>", "android打包名").option("--version <version>", "要打包的框架版本").option("--release", "是否打release包").option("--push-branch <push-branch>", "提交到的git仓库分支").description("发布框架框架包").action(command("publish-framework"));

_commander2.default.command("pm-publish").option("--dir <dir>", "模块所在的git目录").option("--version <version>", "要发布的版本").description("发布npm包").action(command("npm-publish"));

_commander2.default.command("publish-loader").option("--version <version>", "要发布的版本").description("发布loader").action(command("publish-loader/index"));

_commander2.default.command("publish-web-framework").description("").action(command("publish-web-framework"));

_commander2.default.command("publish-web-business").option("--platform <platform>", "要打包的平台").description("拆包版web发布").action(command("publish-web-business"));

_commander2.default.command("output-page-script").option("--platform <platform>", "要打包的平台").option("--env <env>", "打包环境").description("输出页面脚本").action(command("output-page-script"));

// // 命令版本
// commander
// 	.version(packageJson.version);

_commander2.default.parse(process.argv);