"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _nodePearls = require("node-pearls");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (() => {
    var _ref = _asyncToGenerator(function* (options) {
        var currentDir = process.cwd();
        if (options.dir) {
            currentDir = _path2.default.join(currentDir, options.dir);
        }

        const packageJsonFile = _path2.default.join(currentDir, "package.json");
        const packageJson = _nodePearls.readJson.sync(packageJsonFile);
        packageJson.version = options.version || function (versions) {
            versions[versions.length - 1] = +versions[versions.length - 1] + 1;
            return versions.join(".");
        }(packageJson.version.split("."));
        _fs2.default.writeFileSync(packageJsonFile, JSON.stringify(packageJson, null, "   "));

        const tag = options.dir ? `${packageJson.name}@${packageJson.version}` : packageJson.version;

        yield (0, _nodePearls.runCommands)(`
        npm publish --registry https://registry.npmjs.org/
        git add .
        git commit -m "${tag}"
        git push
    `, {
            cwd: currentDir
        });

        if (!options.dir) {
            yield (0, _nodePearls.runCommands)(`
            git tag -a ${tag} -m '${tag}'
            git push origin ${tag}
        `, {
                cwd: currentDir
            });
        }
    });

    return function (_x) {
        return _ref.apply(this, arguments);
    };
})();