"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = require("../../config");

var _config2 = _interopRequireDefault(_config);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _nodePearls = require("node-pearls");

var _cliConsole = require("cli-console");

var _cliConsole2 = _interopRequireDefault(_cliConsole);

var _publishRnBusiness = require("./publish-rn-business");

var _publishRnBusiness2 = _interopRequireDefault(_publishRnBusiness);

var _publishWebBusiness = require("./publish-web-business");

var _publishWebBusiness2 = _interopRequireDefault(_publishWebBusiness);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (() => {
    var _ref = _asyncToGenerator(function* (options) {
        _cliConsole2.default.log("=====index");
        // 要打包的平台
        const platforms = options.platforms ? options.platforms.split(",").map(function (platform) {
            return platform.trim();
        }) : [];
        const businessName = options.businessName;
        const iosZipname = options.iosZipname || businessName + "_package";
        const androidZipname = options.androidZipname || businessName + "_package";
        const pushBranch = options.increment ? "increment" : options.pushBranch || "master";
        const version = options.version;
        const buildId = options.buildId;
        const currentDir = process.cwd();

        var depPlatforms = [];
        var hasRn = platforms.some(function (platform) {
            return ["ios", "android"].indexOf(platform) !== -1;
        });
        if (hasRn) {
            depPlatforms = ["rn"].concat(platforms.filter(function (platform) {
                return ["ios", "android"].indexOf(platform) === -1;
            }));
        } else {
            depPlatforms = platforms;
        }

        // 安装依赖
        _cliConsole2.default.title("安装依赖");
        yield (0, _nodePearls.runCommands)(`npm i`);
        yield (0, _nodePearls.runCommands)(depPlatforms.map(function (platform) {
            return `enjoy update --${platform === "rn" ? "ios" : platform}`;
        }).join("\n"));

        try {
            // 锁定cli版本
            yield (0, _nodePearls.runCommands)("npm shrinkwrap", {
                cwd: currentDir
            });
            _fs2.default.renameSync(_path2.default.join(currentDir, "npm-shrinkwrap.json"), _path2.default.join(currentDir, "_npm-shrinkwrap.json"));
            // 锁定support版本
            yield Promise.all(depPlatforms.map(function (platform) {
                return _asyncToGenerator(function* () {
                    let dir = platform === "rn" ? _path2.default.join(currentDir, "rn") : _path2.default.join(currentDir, _config2.default["group-hash"][platform], platform);
                    yield (0, _nodePearls.runCommands)("npm shrinkwrap", {
                        cwd: dir
                    });
                    _fs2.default.renameSync(_path2.default.join(dir, "npm-shrinkwrap.json"), _path2.default.join(dir, "_npm-shrinkwrap.json"));
                })();
            }));
        } catch (e) {
            _cliConsole2.default.log(e);
        }

        // 打包
        _cliConsole2.default.title("打包");
        yield (0, _nodePearls.runCommands)(platforms.map(function (platform) {
            let zipname = {
                "ios": iosZipname,
                "android": androidZipname
            }[platform] || "";

            let argus = [];

            if (zipname) {
                argus.push(`--zipname ${zipname}`);
            } else if (options.combo) {
                argus.push("--combo");
            } else if (!options.combo) {
                if (options.publishVersion) {
                    argus.push("--publishVersion " + options.publishVersion);
                }
                argus.push("--incremental");
            }

            if (options.release) {
                argus.push("--release");
            }

            return [`enjoy bundle --${platform}`].concat(argus).join(" ");
        }).join("\n"));

        //部署或者其他处理
        if (options.platforms && (options.platforms.indexOf("ios") > -1 || options.platforms.indexOf("android") > -1)) {
            (0, _publishRnBusiness2.default)(Object.assign(options, {
                "platforms": options.platforms,
                "iosZipname": iosZipname,
                "androidZipname": androidZipname,
                "pushBranch": pushBranch
            }));
        } else if (options.platforms) {
            (0, _publishWebBusiness2.default)(Object.assign(options, {
                "platforms": options.platforms
            }));
        }

        _cliConsole2.default.title("提交git");
        // await runCommands(`
        //     git add .
        //     git commit -m "publish@${version}"
        //     git push
        // `, {
        //     cwd: currentDir
        // });
    });

    return function (_x) {
        return _ref.apply(this, arguments);
    };
})();