"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = require("../../config");

var _config2 = _interopRequireDefault(_config);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _nodePearls = require("node-pearls");

var _cliConsole = require("cli-console");

var _cliConsole2 = _interopRequireDefault(_cliConsole);

var _tarZip = require("../../utils/tar&zip");

var _tarZip2 = _interopRequireDefault(_tarZip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }
// import rimraf from "rimraf";

// import { copyFiles, readJson, mkdirs, runCommands } from "node-pearls";


exports.default = (() => {
    var _ref = _asyncToGenerator(function* (options) {
        // 要打包的平台
        _cliConsole2.default.log("进入rn-business");
        const platforms = options.platforms.split(",");
        const businessName = options.businessName;
        const iosZipname = options.iosZipname;
        const androidZipname = options.androidZipname;
        const pushBranch = options.pushBranch;
        const version = options.version;
        const buildId = options.buildId;
        const currentDir = process.cwd();

        // 提交到git
        _nodePearls.mkdirs.sync(_config2.default["tmp-dir"]);
        yield Promise.all(platforms.map(function (platform) {
            return _asyncToGenerator(function* () {
                if (platform === "ios") {
                    let gitname = `elongreactnativepackages@${pushBranch}`;
                    let gitdir = _path2.default.join(_config2.default["tmp-dir"], gitname);

                    _cliConsole2.default.title("拉取项目");
                    if (!_fs2.default.existsSync(gitdir)) {
                        yield (0, _nodePearls.runCommands)(`
                    git clone git@git.17usoft.com:ios/elongreactnativepackages.git ${gitdir} -b ${pushBranch} --depth 1
                `);
                    } else {
                        yield (0, _nodePearls.runCommands)(`
                    git pull
                `, {
                            cwd: gitdir
                        });
                    }

                    _cliConsole2.default.title("生成zip包");
                    let COMBO_PATH = _path2.default.join(currentDir, "rn", "ios", "bundle", "combo");
                    let dirs = _fs2.default.readdirSync(COMBO_PATH).map(function (file) {
                        return _path2.default.join(COMBO_PATH, file);
                    }).filter(function (file) {
                        return _fs2.default.statSync(file).isDirectory();
                    });

                    let md5 = yield (0, _tarZip2.default)(_path2.default.join(COMBO_PATH, `business.js`), dirs, gitdir, iosZipname);

                    _cliConsole2.default.title("提交git");
                    yield (0, _nodePearls.runCommands)(`
                git add .
                git commit -m ${options.increment ? "1" : "0"}:${businessName}@${version}:${md5}:${buildId}
                git push
            `, {
                        cwd: gitdir
                    });
                } else if (platform === "android") {
                    let gitname = `as_elongrnplugin_44_jsbundle@${pushBranch}`;
                    let gitdir = _path2.default.join(_config2.default["tmp-dir"], gitname);

                    _cliConsole2.default.title("拉取项目");
                    if (!_fs2.default.existsSync(gitdir)) {
                        yield (0, _nodePearls.runCommands)(`
                    git clone git@git.17usoft.com:elongtravel_android/as_elongrnplugin_44_jsbundle.git ${gitdir} -b ${pushBranch} --depth 1
                `);
                    } else {
                        yield (0, _nodePearls.runCommands)(`
                    git pull
                `, {
                            cwd: gitdir
                        });
                    }

                    _cliConsole2.default.title("生成zip包");
                    let COMBO_PATH = _path2.default.join(currentDir, "rn", "android", "bundle", "combo");
                    let assetsdir = _path2.default.join(COMBO_PATH, "assets");
                    let dirs = _fs2.default.readdirSync(COMBO_PATH).map(function (file) {
                        return _path2.default.join(COMBO_PATH, file);
                    }).filter(function (file) {
                        return _fs2.default.statSync(file).isDirectory() && file !== assetsdir;
                    });

                    let md5 = yield (0, _tarZip2.default)(_path2.default.join(COMBO_PATH, `business.js`), dirs, gitdir, androidZipname);

                    _cliConsole2.default.title("提交git");
                    yield (0, _nodePearls.runCommands)(`
                git add .
                git commit -m ${options.increment ? "1" : "0"}:${businessName}@${version}:${md5}:${buildId}
                git push
            `, {
                        cwd: gitdir
                    });
                } else {}
            })();
        }));
    });

    return function (_x) {
        return _ref.apply(this, arguments);
    };
})();