"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (options) {
    const root = process.cwd();
    const bundleDir = _path2.default.join(root, "web", options.platform, "bundle");

    console.log("生成依赖关系表");

    (0, _glob2.default)("*/deps.json", {
        cwd: bundleDir
    }, function (err, jsons) {
        if (err) {
            throw err;
        }

        var files = [];

        jsons.forEach(function (file) {
            var json = _nodePearls2.default.readJson.sync(_path2.default.join(bundleDir, file));
            files = files.concat(json.files);
        });

        _fs2.default.writeFileSync(_path2.default.join(bundleDir, "deps.json"), JSON.stringify({
            files: files
        }));

        console.log("拷贝资源文件");

        var assetsDir = _path2.default.join(bundleDir, "assets");
        _nodePearls2.default.mkdirs.sync(assetsDir);
        // 拷贝资源
        (0, _glob2.default)("*/*.@(gif|jpg|png|woff|svg|eot|ttf)", {
            cwd: bundleDir
        }, function (err, assets) {
            _nodePearls2.default.copyFiles(assets.map(function (asset) {
                return {
                    src: _path2.default.join(bundleDir, asset),
                    dist: _path2.default.join(assetsDir, asset.split("/").pop())
                };
            })).then(function () {
                console.log("打包完成");
            });
        });
    });
};

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _glob = require("glob");

var _glob2 = _interopRequireDefault(_glob);

var _nodePearls = require("node-pearls");

var _nodePearls2 = _interopRequireDefault(_nodePearls);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }