"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ENV = process.env;

var configFile = _path2.default.join(ENV.HOME, ".elong-static.js");
var config = {};
if (_fs2.default.existsSync(configFile)) {
    config = require(configFile);
} else {
    console.warn(`没有找到配置文件${configFile}`);
    config = function () {
        return null;
    };
}

exports.default = {
    "tmp-dir": _path2.default.join(ENV.HOME || __dirname, ".enjoy-publish-tmp-dir"),
    "group-hash": {
        "ios": "rn",
        "android": "rn",
        "h5": "web",
        "hybrid": "web",
        "weixin": "web",
        "qq": "web",
        "seo": "web"
    },
    "gitlab": {
        "api-url": "http://git.17usoft.com/api/v3",
        "private-token": "f1xnbK4Z81sFDa-_EtFD",
        "projects": {
            "framework-bundle": "12350"
        }
    },
    // 各环境接口地址
    server: {
        local: {
            // 获取文件依赖关系
            deps: "http://localhost:10002/deps?mod=",
            config: {
                base: "http://localhost:10002/mods?ids=",
                assetsPath: "http://localhost:10002/static"
            }
        },
        dev: {
            deps: config("dev") ? config("dev").apis.depdb + "?file=" : "",
            config: {
                base: "//m.elongstatic.com/combo/mods/??",
                assetsPath: "//m.elongstatic.com/combo/mods/assets"
            }
        },
        test: {
            deps: config("test") ? config("test").apis.depdb + "?file=" : "",
            config: {
                base: "//m.elongstatic.com/combo/mods/??",
                assetsPath: "//m.elongstatic.com/combo/mods/assets"
            }
        },
        huidu: {
            // 获取文件依赖关系
            deps: config("huidu") ? config("huidu").apis.depdb + "?file=" : "http://192.168.69.32:9707/enjoyinner/depdb?file=",
            config: {
                base: "//m.elongstatic.com/combo/mods/??",
                assetsPath: "//m.elongstatic.com/combo/mods/assets"
            }
        },
        release: {
            // 获取文件依赖关系
            deps: config("release") ? config("release").apis.depdb + "?file=" : "",
            config: {
                base: "//m.elongstatic.com/combo/mods/??",
                assetsPath: "//m.elongstatic.com/combo/mods/assets"
            }
        }
    }
};