"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _request = require("./request");

var _request2 = _interopRequireDefault(_request);

var _config = require("../config");

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const { gitlab } = _config2.default;

exports.default = {
    // 检查分支是否存在
    exists(projectName, branch) {
        return _asyncToGenerator(function* () {
            try {
                yield _request2.default.get(`${gitlab["api-url"]}/projects/${gitlab.projects[projectName]}/repository/branches/${branch}?private_token=${gitlab["private-token"]}`);
                return true;
            } catch (e) {
                if (e.type === "status" && e.value === 404) {
                    return false;
                } else {
                    throw e.value;
                }
            }
        })();
    },
    // 创建新分支
    create(projectName, branch) {
        return _asyncToGenerator(function* () {
            try {
                yield _request2.default.post(`${gitlab["api-url"]}/projects/${gitlab.projects[projectName]}/repository/branches?private_token=${gitlab["private-token"]}`, {
                    "branch_name": branch,
                    "ref": "template"
                });
            } catch (e) {
                throw e.value;
            }
        })();
    }
};