"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _crypto = require("crypto");

var _crypto2 = _interopRequireDefault(_crypto);

var _nodePearls = require("node-pearls");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (() => {
    var _ref = _asyncToGenerator(function* (file, dirs, output, zipname) {
        const srcDir = _path2.default.dirname(file);
        const tarName = `${zipname}.tar`;
        const tarFile = _path2.default.join(srcDir, tarName);
        const zipFile = _path2.default.join(output, zipname + ".zip");

        file = file.replace(srcDir, "").replace(/^\//, "");
        dirs = dirs.map(function (dir) {
            return dir.replace(srcDir, "").replace(/^\//, "");
        });

        // 打tar包不压缩
        yield (0, _nodePearls.runCommands)(`
        tar cf ${tarName} ${file} ${dirs.join(" ")}
        zip -q -r ${zipFile} ${tarName}
    `, {
            cwd: srcDir
        });

        var md5 = _crypto2.default.createHash('md5');
        md5.update(_fs2.default.readFileSync(tarFile));
        return md5.digest('hex');
    });

    function tarzip(_x, _x2, _x3, _x4) {
        return _ref.apply(this, arguments);
    }

    return tarzip;
})();