import request from "./request";
import config from "../config";
const { gitlab } = config;

export default {
    // 检查分支是否存在
    async exists(projectName, branch){
        try{
            await request.get(`${gitlab["api-url"]}/projects/${gitlab.projects[projectName]}/repository/branches/${branch}?private_token=${gitlab["private-token"]}`);
            return true;
        }catch(e){
            if(e.type === "status" && e.value === 404){
                return false;
            }else{
                throw e.value;
            }
        }
    },
    // 创建新分支
    async create(projectName, branch){
        try{
            await request.post(`${gitlab["api-url"]}/projects/${gitlab.projects[projectName]}/repository/branches?private_token=${gitlab["private-token"]}`, {
                "branch_name": branch,
                "ref": "template"
            });
        }catch(e){
            throw e.value;
        }
    }
}