import path from "path";
import fs from "fs";
import crypto from "crypto";
import { runCommands } from "node-pearls";

export default async function tarzip(file, dirs, output, zipname){
    const srcDir = path.dirname(file);
    const tarName = `${zipname}.tar`;
    const tarFile = path.join(srcDir, tarName);
    const zipFile = path.join(output, zipname + ".zip");

    file = file.replace(srcDir, "").replace(/^\//, "");
    dirs = dirs.map(dir => dir.replace(srcDir, "").replace(/^\//, ""));

    // 打tar包不压缩
    await runCommands(`
        tar cf ${tarName} ${file} ${dirs.join(" ")}
        zip -q -r ${zipFile} ${tarName}
    `, {
        cwd: srcDir
    });

    var md5 = crypto.createHash('md5');
    md5.update(fs.readFileSync(tarFile));
    return md5.digest('hex');
}